Subject: Re: [Bonding-devel] [bonding][3/3] Synchronizing 2.4-2.6

From: Laurent Deniel <[email-masked]>
Date: Thu, 28 Aug 2003 19:17:19 +0200

Shmulik Hen wrote:
>
> patch 7 - eliminate the multicast_more module param and use the 
> 	  USES_PRIMARY macro instead.

Do you know that this breaks upward compatibility ? i.e. this now
assumes that for instance in active backup mode, only the active
slave registers the multicast addresses (i.e. multicast_mode = 1)
while the default from the very beginning was all NIC (multicast_mode = 0).
And this removes the possiblity of disabling multicast stuff.
But if everyone is OK ... (I'd be since I currently only use
multicast_mode = 1 ;-)

Laurent